Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1280141 (python-psychopy) - Review Request: python-psychopy - Psychophysics toolkit for Python
Summary: Review Request: python-psychopy - Psychophysics toolkit for Python
Keywords:
Status: CLOSED WONTFIX
Alias: python-psychopy
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1290995
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-11-11 03:02 UTC by Adrian Alves
Modified: 2018-08-22 10:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 10:27:45 UTC


Attachments (Terms of Use)

Description Adrian Alves 2015-11-11 03:02:37 UTC
Spec URL: https://alvesadrian.fedorapeople.org/neurofedora/python-psychopy.spec
SRPM URL: https://alvesadrian.fedorapeople.org/neurofedora/python-psychopy-1.83.01-1.git217599b.fc22.src.rpm
Description: PsychoPy uses OpenGL and Python to create a toolkit
for running psychology/neuroscience/psychophysics
experiments.
Fedora Account System Username: alvesadrian

Comment 1 Igor Gnatenko 2015-11-11 07:45:20 UTC
Before I will do full review fix major issues:

psychopy/LICENSES.txt. You should unbundle those. For ttf - patch to use system
--------------------------------------------------------------------------------
- pyparallel (http://pyserial.sourceforge.net/pyparallel.html). License: Python Software Foundation
- quest (http://www.visionegg.org/Quest). License: BSD
- psychopy/app/Resources/DejaVuSerif.ttf. License: BSD-like (see below for full list of terms)
--------------------------------------------------------------------------------

I don't see any adventures why you packaging latest commit. It's not acceptable without good reason because since last release was only 44 commits.
--------------------------------------------------------------------------------
Source0:        https://github.com/psychopy/psychopy/archive/%{commit}/%{modname}-%{shortcommit}.tar.gz
--------------------------------------------------------------------------------

You don't have any BuildRequires/Requires for this package. I opened only one file and already see dependency on wxPython. https://github.com/psychopy/psychopy/blob/master/psychopy/app/_psychopyApp.py
From .travis.yml I see at least pygame, gevent, psutil, msgpack, pandas and many others.

This wildcard I think not good, because I guess there only 1 directory.
--------------------------------------------------------------------------------
%{python2_sitelib}/%{modname}*
--------------------------------------------------------------------------------

If you're using version you should use macros! But I'd recommend to use %{python2_sitelib}/PsychoPy*.egg-info
--------------------------------------------------------------------------------
%{python2_sitelib}/PsychoPy-1.83.1-py2.7.egg-info/*
--------------------------------------------------------------------------------

Changelog for sure incorrect. Release is incorrect (you must bump version and use 0.1.git...., but don't do this and stick to release).

And last BIG issue: You DONT run tests. You MUST.

Comment 2 Igor Gnatenko 2015-11-11 07:50:49 UTC
and one more comment:

- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.
- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in python2-psychopy
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

Comment 3 Igor Gnatenko 2016-08-08 05:55:13 UTC
ping?

Comment 4 Igor Gnatenko 2017-06-21 15:04:43 UTC
ping once more?

Comment 5 Ankur Sinha (FranciscoD) 2018-08-05 09:08:41 UTC
Adrian,

Would you like to continue the review? Otherwise I can submit the package for review to be included in neuro-fedora.

Cheers,
Ankur

Comment 6 Ankur Sinha (FranciscoD) 2018-08-22 10:27:45 UTC
Closing this one too. We'll do a fresh review when time permits.


Note You need to log in before you can comment on or make changes to this bug.